### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, any>
  - GetRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params

### Methods

- consistentRead
- exec
- execFullResponse
- projectionExpression
- returnConsumedCapacity

## Constructors

### constructor

- new GetRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, partitionKey: any, sortKey?: any): GetRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/get/get.request.ts:15

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### tableName: string

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:19

### Private logger

logger: Logger

- Defined in dynamo/request/get/get.request.ts:15

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:23

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:21

### params

params: any

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:20

## Methods

### consistentRead

- consistentRead(consistendRead: boolean): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:56

  #### Parameters

  - ##### consistendRead: boolean

  #### Returns GetRequest<T>

### exec

- exec(): Observable<T | null>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/get/get.request.ts:95

  #### Returns Observable<T | null>

### execFullResponse

- execFullResponse(): Observable<GetResponse<T>>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/get/get.request.ts:76

  #### Returns Observable<GetResponse<T>>

### projectionExpression

- projectionExpression(...attributesToGet: string[]): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:66

  #### Parameters

  - ##### Rest ...attributesToGet: string[]

  #### Returns GetRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: ReturnConsumedCapacity): GetRequest<T>

- - Defined in dynamo/request/get/get.request.ts:61

  #### Parameters

  - ##### level: ReturnConsumedCapacity

  #### Returns GetRequest<T>

Generated using TypeDoc